Resource Center/Elastic Bare Metal Management(Plus)
PUTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required
UpdateBareMetal2Chassis
UpdateBareMetal2Chassis
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the bare metal chassis.
Body Fields
updatebaremetalchassisObjectRequiredupdatebaremetalchassis request body object.
nameStringOptional. The name of the bare metal chassis.
descriptionStringOptional. The detailed description of the bare metal chassis.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/baremetal2/chassis/{uuid}/actions
/zstack/v1/baremetal2/chassis/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/baremetal2/chassis/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebaremetalchassis":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "ff9c61a4323b429eb53552098b3582e5", "name": "BM_CHASSIS", "description": "This is a bare metal chassis.", "zoneUuid": "6324e249a6434599867f0bdc4166f89d", "clusterUuid": "4569c6fc1b4e453691bfa3bed90d66d2", "chassisOfferingUuid": "dfd1ef44f65f49a8b788a31727eeea17", "type": "IPMI", "state": "Enabled", "status": "Available", "powerStatus": "POWER_ON", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
